import { jsx } from "react/jsx-runtime";
import "react";
import "clsx";
import { useProps } from "../../core/MantineProvider/use-props/use-props.mjs";
import { factory } from "../../core/factory/factory.mjs";
import { ModalBaseBody } from "../ModalBase/ModalBaseBody.mjs";
import { useDrawerContext } from "./Drawer.context.mjs";
import classes from "./Drawer.module.css.mjs";
const defaultProps = {};
const DrawerBody = factory((_props, ref) => {
  const props = useProps("DrawerBody", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = useDrawerContext();
  return /* @__PURE__ */ jsx(
    ModalBaseBody,
    {
      ref,
      ...ctx.getStyles("body", { classNames, style, styles, className }),
      ...others
    }
  );
});
DrawerBody.classes = classes;
DrawerBody.displayName = "@mantine/core/DrawerBody";
export {
  DrawerBody
};
